%global __perl_provides        %{nil}
%global __perl_requires        %{nil}
Name:                robodoc
Version:             4.99.44
Release:             1
Summary:             Extract documentation from source code
License:             GPLv3+
Source0:             http://rfsber.home.xs4all.nl/Robo/archives/%{name}-%{version}.tar.gz
Patch1:              robodoc-4.99.43-silentwarnings.patch
Patch2:              robodoc-4.99.43-helperror.patch
URL:                 http://rfsber.home.xs4all.nl/Robo/
BuildRequires:       make gcc perl-generators
%description
  ROBODoc is a documentation tool (based on the AutoDocs program written
a long time ago by Commodore). It extracts specially formatted comment
headers from the source file and puts them in a separate file. ROBODoc
thus allows you to include the program documentation in the source
code and avoid having to maintain two separate documents.

%prep
%setup -q
%patch1 -p 1 -b .silentwarnings
%patch2 -p 1 -b .helperror

%build
%configure docdir="%{_docdir}/robodoc"
make CFLAGS="${RPM_OPT_FLAGS}" %{?_smp_mflags}

%install
make DESTDIR="${RPM_BUILD_ROOT}" INSTALL="install -p" install
rm -rf "${RPM_BUILD_ROOT}%{_docdir}/robodoc"

%files
%doc AUTHORS Change* COPYING README Docs/manual.css Docs/manual.html
%doc Examples
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Apr 18 2023 liyanan <thistleslyn@163.com> - 4.99.44-1
- Update to 4.99.44

* Thu Sep 30 2021 zhengyaohui <zhengyaohui1@huawei.com> - 4.99.43-2
- add Patch "helperror" to repair "robohdrs -h" show error

* Thu Sep 7 2021 zhengyaohui <zhengyaohui1@huawei.com> - 4.99.43-1
- package init
